Zone

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Zone

    java.lang.Object
      com.fenalco.entities.Zone

    public class Zone

extends java.lang.Object

Author:
  Juan Ernesto Peña Kaltekis

Field Summary
`private int` | `city` id de la ciudad
`private int` | `id` id de la zona en la base de datos
`private java.lang.String` | `name` Nombre de la zona

Constructor Summary
`Zone()` Constructor por defecto del la clase
`Zone(int id)` Constructor de la clase

Method Summary
`boolean` | `delete(Transaction transaction)` Operación para eliminar la sección de la base de datos
`int` | `getCity()` Getter for property city.
`int` | `getId()` Getter for property id.
`java.lang.String` | `getName()` Getter for property name.
`boolean` | `loadData(int id)` Operación para guardar el objeto de base de datos
`boolean` | `saveData(Transaction transaction)` Operación para guardar el objeto de base de datos
`void` | `setCity(int city)` Setter for property city.
`void` | `setId(int id)` Setter for property id.
`void` | `setName(java.lang.String name)` Setter for property name.
`boolean` | `update(Transaction transaction)` Operación para actualizar la sección en la base de datos

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id de la zona en la base de datos

### name

    private java.lang.String name

  Nombre de la zona

### city

    private int city

  id de la ciudad

Constructor Detail

### Zone

    public Zone()

  Constructor por defecto del la clase

### Zone

    public Zone(int id)

  Constructor de la clase

  Parameters:
    `id` - id del zona en la base de datos

Method Detail

### loadData

    public boolean loadData(int id)

  Operación para guardar el objeto de base de datos

  Returns:
    booleano quer indica el éxito de la operación

### saveData

    public boolean saveData(Transaction transaction)

  Operación para guardar el objeto de base de datos

  Returns:
    booleano quer indica el éxito de la operación

### update

    public boolean update(Transaction transaction)

  Operación para actualizar la sección en la base de datos

  Returns:
    booleano que indica el éxito de la operación

### delete

    public boolean delete(Transaction transaction)

  Operación para eliminar la sección de la base de datos

  Returns:
    booleano que indica el éxito de la operación

### getId

    public int getId()

  Getter for property id.

  Returns:
    Value of property id.

### setId

    public void setId(int id)

  Setter for property id.

  Parameters:
    `id` - New value of property id.

### getName

    public java.lang.String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(java.lang.String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getCity

    public int getCity()

  Getter for property city.

  Returns:
    Value of property city.

### setCity

    public void setCity(int city)

  Setter for property city.

  Parameters:
    `city` - New value of property city.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD